Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 434725)
+++ channels/chan_sip.c	(working copy)
@@ -26612,7 +26612,8 @@
 				}
 				ast_log(LOG_NOTICE, "Disconnecting call '%s' for lack of RTP activity in %ld seconds\n",
 					dialog->owner->name, (long) (t - dialog->lastrtprx));
-				/* Issue a softhangup */
+				/* Issue a softhangup - cause 44 (as used by Cisco for RTP timeouts) */
+				dialog->owner->hangupcause = AST_CAUSE_REQUESTED_CHAN_UNAVAIL;
 				ast_softhangup_nolock(dialog->owner, AST_SOFTHANGUP_DEV);
 				ast_channel_unlock(dialog->owner);
 				/* forget the timeouts for this call, since a hangup
